Bug 13042 - RH 6.2: /usr/share/magic has lost the entry for JPEG image files
Summary: RH 6.2: /usr/share/magic has lost the entry for JPEG image files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: file   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-26 04:48 UTC by luke
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-26 04:48:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description luke 2000-06-26 04:48:25 UTC
I had to manually add:

# JPEG images
# SunOS 5.5.1 had
#
#       0       string          \377\330\377\340        JPEG file
#       0       string          \377\330\377\356        JPG file
#
# both of which turn into "JPEG image data" here.
#
0       beshort         0xffd8          JPEG image data
>6      string          JFIF            \b, JFIF standard
# HSI is Handmade Software's proprietary JPEG encoding scheme
0       string          hsi1            JPEG image data, HSI proprietary

Comment 1 Jeff Johnson 2000-07-22 16:58:40 UTC
This is fixed in (at least) file-3.30-1 and later from Raw Hide. Either rebuild
from
that src.rpm, or edit in by hand.


Note You need to log in before you can comment on or make changes to this bug.